/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import org.junit.Test;

import com.bitctrl.Constants;

import de.bsvrz.dua.abfrpuffer.Ereignis.EreignissTyp;
import de.bsvrz.sys.funclib.application.StandardApplicationRunner;

/**
 * Auslagerung einer Testroutine zum einzeln startbaren Test, damit zwischen den
 * Tests das Archiv geleert werden kann.
 *
 * @author BitCtrl Systems GmbH, Thierfelder
 *
 */
public class AbfrageIntervallAenderungTester extends AbfragePufferDatenTester {

	/**
	 * Einfacher Test um die Aenderung der Parametrierung von AbrufIntervall und
	 * Offset zu testen.
	 */
	@Override
	@Test
	public synchronized void abfrageIntervallAenderungTest() {
		try {

			// laeuft ohne SM, testet nur die AnfrageIntervalle
			getSteuerModuleSim().clear();
			ZeitSimulator.start("01.01.2006 4:00:00.000", 5000, 8000);
			StandardApplicationRunner.run(this, Verbindung.CON_DATA.clone());

			getAxlOffset()[0] = 5;
			getAxlZyklus()[0] = 1;

			getLveOffset()[0] = 8;
			getLveZyklus()[0] = 1;

			ZeitSimulator.schedule(new Ereignis(this,
					EreignissTyp.EREIGNIS_ABFRAGEMODUL_PARAM),
					"2006.01.01 8:30:00.000");

			getAxlOffset()[1] = 15;
			getAxlZyklus()[1] = 6;

			getLveOffset()[1] = 3;
			getLveZyklus()[1] = 4;

			ZeitSimulator.schedule(new Ereignis(this,
					EreignissTyp.EREIGNIS_ABFRAGEMODUL_PARAM),
					"2006.01.01 20:15:00.000");

			getAxlOffset()[2] = 1;
			getAxlZyklus()[2] = 2;

			getLveOffset()[2] = 1;
			getLveZyklus()[2] = 2;

			ZeitSimulator.schedule(new Ereignis(this,
					EreignissTyp.EREIGNIS_ABFRAGEMODUL_PARAM),
					"2006.01.02 06:00:00.000");

			ZeitSimulator.schedule(new Ereignis(this,
					EreignissTyp.EREIGNIS_SIMULATION_ENDE),
					"2006.01.02 12:00:00.000");
			this.wait();

		} catch (final Exception e) {
			getDav().disconnect(true,
					"Fehler bei Test: abfrageIntervallAenderungTest()");
			System.err.println(e.getMessage());
			e.printStackTrace();
		}

		getDav().disconnect(false, Constants.EMPTY_STRING);
	}
}
