/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import java.util.Collection;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Ermoeglicht die Klasse LveDeVerwaltung zu Testen Ueberschreibt einige
 * Methoden, fuer die ZeitSimulation usw.
 *
 * @author BitCtrl Systems GmbH, Bachraty
 */
public class LveDeVerwaltungTester extends LveDeVerwaltung {

	/**
	 * Standardkonstruktor
	 *
	 * @param abfHaupt
	 *            AbfragemodulHauptKlasse
	 * @param steuerModule
	 *            Liste der SM
	 */
	public LveDeVerwaltungTester(final AbfragePufferdaten abfHaupt, final Collection<Station> steuerModule) {
		super(abfHaupt, steuerModule);
	}

	@Override
	public long currentTimeMillis() {
		return ZeitSimulator.getTimeMillis();
	}

	@Override
	public long convertTimeoutIntervall(final long intervall) {
		return ZeitSimulator.getSimTimeout();
	}

	@Override
	public void bearbeiteNegativeQuittung(final ResultData datei) {
		super.bearbeiteNegativeQuittung(datei);
		final String pid = datei.getObject().getPid();
		if (datei.getData() != null) {
			System.out.println("## NEGATIVE QUITTUNG von " + pid + " angekommen");
		}
	}

	@Override
	public void abfrageEnde(final Station st, final boolean timeout) {
		if (timeout) {
			System.out.print("## LVE TIMEOUT " + st.getSystemLveDe());
		}
		getVerwaltungHaupt().aggregiere();
	}

	@Override
	public void abfrageAusgabe(final Station st, final long anzahl, final long jetzt, final long timeout) {

		// System.out.format("\n## ABRUF %-60s @ %-10s fuer %-10s ANZ: %3d
		// TIMEOUT: %10d\n",
		// st.getSystemLveDe().getSoDE().getPid(),
		// AbfrPufferKonstanten.datumFormat.format(new Date(jetzt)),
		// AbfrPufferKonstanten.datumFormat.format(new
		// Date(st.getAeltesteLveZeitStempel())), anzahl, timeout);
		// System.out.println(st);
	}

	@Override
	public void statusAktualisierungAusgabe(final Station st, final String s) {
		// if(! s.equals("")) {
		// System.out.println("\n## " + s);
		// System.out.println(st);
		// }
	}
}
