/*
 * Segment 4 Datenübernahme und Aufbereitung, SWE 4.5 Abfrage Puffer
 * Copyright (C) 2007-2015 BitCtrl Systems GmbH
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.dua.abfrpuffer;

import java.io.File;

/**
 * Speicher saemtliche Verbindungsdaten
 *
 * @author BitCtrl Systems GmbH, Thierfelder
 */
public class Verbindung {

	/**
	 * indiziert, dass viele Ausgaben gemacht werden sollen
	 */
	public static final boolean VERBOSE = false;

	// /**
	// * Aufrufparameter der Applikation
	// */
	// public final static String [] CON_DATA = new String[] {
	// "-datenverteiler=localhost:8083",
	// "-benutzer=Tester",
	// "-authentifizierung=c:\\passwd",
	// "-debugLevelStdErrText=OFF",
	// "-debugLevelFileText=INFO",
	// "-sm=sm", // liste der SM oder KB
	// "-alle-online=false",
	// "-abfragemodul=abfmodul.test.swe4.6"};

	/**
	 * Aufrufparameter der Applikation
	 */
	public final static String[] CON_DATA = new String[] {
			"-datenverteiler=localhost:8083", "-benutzer=Tester",
			"-authentifizierung=passwd", "-debugLevelStdErrText=OFF",
			"-debugLevelFileText=OFF", "-sm=sm", // liste der SM oder KB
			"-alle-online=false", "-abfragemodul=abfmodul.test.swe4.6" };

	/**
	 * Testdatenverzeichnis
	 */
	public static final String TEST_DATEN_WURZEL = ".." + File.separator
			+ "testDaten" + File.separator;

	// /**
	// * Testdatenverzeichnis fuer Eclipse
	// */
	// public static final String TEST_DATEN_WURZEL = "extra\\testDaten\\";

}
